SYD-RUN(1)

# NAME

syd-run - run a program inside a container with the given process ID

# SYNOPSIS

*syd-run* _[-hvacimnptuU]_ _pid_ _{command [arg...]}_

# DESCRIPTION

The *syd-run* utility runs a program inside a container with the given
process ID.

This uses _setns_(2) with a PIDFd using _pidfd_open_(2) and requires
Linux-5.8 or newer.

# OPTIONS

|[ *-h*
:< Display help.
|[ *-v*
:< Be verbose. Print informational messages on standard error.
|[ *-a*
:< Auto-detect namespaces to enter. PID and Time namespaces are excluded. This is the default.
|[ *-c*
:< Enter into CGroup namespace.
|[ *-i*
:< Enter into IPC namespace.
|[ *-m*
:< Enter into mount namespace.
|[ *-n*
:< Enter into network namespace.
|[ *-p*
:< Enter into PID namespace.
|[ *-t*
:< Enter into time namespace.
|[ *-u*
:< Enter into UTS namespace.
|[ *-U*
:< Enter into user namespace.

# SEE ALSO

_syd_(1), _syd_(2), _syd_(5), _setns_(2), _pidfd_open_(2)

*syd* homepage: https://sydbox.exherbo.org/

# AUTHORS

Maintained by Ali Polatel. Up-to-date sources can be found at
https://gitlab.exherbo.org/sydbox/sydbox.git and bugs/patches can be
submitted to https://gitlab.exherbo.org/groups/sydbox/-/issues. Discuss
in #sydbox on Libera Chat or in #sydbox:mailstation.de on Matrix.
