SYD-TCK(1)

# NAME

syd-tck - Measure runtime in Hardware Ticks

# SYNOPSIS

*syd-tck* _{command [args...]}_

# DESCRIPTION

syd-tck utility runs the given command with optional arguments and
measures its runtime in hardware ticks, prints information about it and
exits with the same exit code as the program or 128 plus the signal
value if the command was terminated.

# OUTPUT

```
true    code:0 total:0.00s td:285 freq:2494511485Hz prec:0.40ns pid:1 tc:322191649243995
```

Sample output looks like this on x86-64, below are explanations of each field:

. The name of the command
. Exit code
. Total runtime in seconds
. Total runtime in ticks (tick duration)
. Frequency in Hertz
. Precision in nanoseconds
. Processor ID
. Tick counter

# PORTABILITY

syd-tck only works on architectures aarch64 and x86-64.

# SEE ALSO

_syd_(1), _syd_(2), _syd_(5)

*syd* homepage: https://sydbox.exherbo.org/

# AUTHORS

Maintained by Ali Polatel. Up-to-date sources can be found at
https://gitlab.exherbo.org/sydbox/sydbox.git and bugs/patches can be
submitted to https://gitlab.exherbo.org/groups/sydbox/-/issues. Discuss
in #sydbox on Libera Chat or in #sydbox:mailstation.de on Matrix.
